"""
    MoinMoin - Site wide configuration

    Based on sample moin_config.py, which is
    Copyright (c) 2000-2001 by Jrgen Hermann <jh@web.de>
    All rights reserved, see COPYING for details.

    Note that there are more config options than you'll find in
    the version of this file that is installed by default; see
    the module MoinMoin.config for a full list of names and their
    default values.

    Also, the URL http://purl.net/wiki/moin/HelpOnConfiguration has
    a list of config options.
"""

# To make any use of this file, uncomment the corresponding option in
# the local moin_config.py file of each MoinMoin site.

url_prefix = '/wiki'
logo_url = url_prefix + '/img/moinmoin.gif'

# encoding and WikiName char sets
# (this is tweaked for use in Western Europe)
charset = 'iso-8859-13'
upperletters = "A-Z"
lowerletters = "0-9a-z"

# options people are likely to change due to personal taste
show_hosts = 1                          # show hostnames?
nonexist_qm = 0                         # show '?' for nonexistent?
backtick_meta = 1                       # allow `inline typewriter`?
allow_extended_names = 1                # allow ["..."] markup?
edit_rows = 30                          # editor size
max_macro_size = 50                     # max size of RecentChanges in KB (0=unlimited)

# charting needs "gdchart" installed!
# you can remove the test and gain a little speed (i.e. keep only
# the chart_options assignment, or remove this code section altogether)
try:
    import gdchart
    chart_options = {'width': 720, 'height': 400}
except ImportError:
    pass

# Allow editing only to registered users
acl_enabled = 1
#allowed_actions = ['DeletePage', 'AttachFile']

# FIXME: How to enable this only for registered users?
#if 1:
#    # MoinMoinMannen is here: http://helgo.net/fika/MoinMoinMannen
#    logo_url = '/moinmoinnaked.gif'

# values that depend on above configuration settings
logo_string = '<img src="%s" border="0" alt="%s">' % (logo_url, sitename)
css_url = url_prefix + '/css/moinmoin.css' # stylesheet link, or ''
html_head = """
<META HTTP-EQUIV="Content-Type" CONTENT="text/html;charset=%s">
""" % (charset,)

# The email announcements are great :-)
mail_from = "webmaster"
mail_smarthost = "localhost"

# Sample tweaks for danish as primary locale
#page_front_page = 'ForSide'
#page_template_regex = '[' + lowerletters + ']Skabelon$'
#page_category_regex = '^Kategori[' + upperletters + ']'
#page_form_regex = '[' + lowerletters + ']Formular$'
#navi_bar = [
#	'ForSide',
#	'SiteNavigering',
#	'SenesteRettelser',
#    ]

# Let's experiment with XSLT (if installed...)
#allow_xslt = 1

# Make sure security is tightened (the upstream default is BAD!)
umask = 0755
