"""
    MoinMoin - Configuration

    Copyright (c) 2000-2001 by Jrgen Hermann <jh@web.de>
    All rights reserved, see COPYING for details.

    Note that there are more config options than you'll find in
    the version of this file that is installed by default; see
    the module MoinMoin.config for a full list of names and their
    default values.

    Also, the URL http://purl.net/wiki/moin/HelpOnConfiguration has
    a list of config options.

    $Id: moin_config.py,v 1.6 2002/02/05 23:00:58 jhermann Exp $
"""
__version__ = "$Revision: 1.6 $"[11:-2]

# If you run several wikis on one host (commonly called a wiki farm),
# uncommenting the following allows you to load global settings for
# all your wikis. You will then have to create "farm_config.py" in
# the MoinMoin package directory.
#
from MoinMoin.farm_config import *

# basic options (you normally need to change these)
sitename = 'JonesWiki'
interwikiname = 'Jones'
data_dir = '/home/jonas/webdata/wiki.jones.dk/'

# Allow editing only to registered users
acl_enabled = 1
acl_rights_default = "Known:read,write,delete All:read"
allowed_actions = ['DeletePage', 'AttachFile']
# FIXME: How to enable this only for registered users?
if 1:
    # MoinMoinMannen is here: http://helgo.net/fika/MoinMoinMannen
    logo_url = '/moinmoinnaked.gif'
    logo_string = '<img src="%s" border="0" alt="%s">' % (logo_url, sitename)

# I am danish (= from Denmark, not some cake!)
page_front_page = 'ForSide'
page_template_regex = '[' + lowerletters + ']Skabelon$'
page_category_regex = '^Kategori[' + upperletters + ']'
page_form_regex = '[' + lowerletters + ']Formular$'
navi_bar = [
	'ForSide',
	'SiteNavigering',
	'SenesteRettelser',
    ]

# Let's experiment with XSLT (if installed...)
allow_xslt = 1

# Make sure security is tightened (the upstream default is BAD!)
umask = 0755
